#!/bin/bash

bum=$(find . -name '.#*')
if [[ -n ${bum} ]] ; then
	echo "Delete these files first:"
	echo "${bum}"
	exit 1
fi

ver=$(head -n 1 ChangeLog | awk '{print $1}' | sed -e 's:-::g')
if [[ ${#ver} != 8 ]] ; then
	echo "Invalid ver '${ver}'"
	exit 1
fi
tar=/usr/portage/distfiles/gnuconfig-${ver}.tar.bz2

tar -jcf ${tar} . || exit 1
du -b ${tar}
